﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net5.0</TargetFramework>
        <RootNamespace>Otus.Teaching.PromoCodeFactory.Grpc</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <Protobuf Include="Protos\*.proto" GrpcServices="Server" ProtoRoot="Protos\" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Grpc.AspNetCore" Version="2.40.0" />
        <PackageReference Include="Grpc.AspNetCore.Server.Reflection" Version="2.40.0" />
        <PackageReference Include="Grpc.AspNetCore.Web" Version="2.40.0" />
        <PackageReference Include="Microsoft.AspNetCore.Grpc.HttpApi" Version="0.1.0-alpha.20580.2" />
        <PackageReference Include="Microsoft.AspNetCore.Grpc.Swagger" Version="0.1.0-alpha.20580.2" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.4" />
    </ItemGroup>
    
    <ItemGroup>
        <Content Update="Protos\*">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <Content Include="Protos\*" CopyToPublishDirectory="PreserveNewest" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.Core\Otus.Teaching.PromoCodeFactory.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.PromoCodeFactory.DataAccess\Otus.Teaching.PromoCodeFactory.DataAccess.csproj" />
    </ItemGroup>

   
</Project>
